<?php
/**
 * @connect_module_class_name CPayanywaySberbank
 * @package DynamicModules
 * @subpackage Payment
 */
// Модуль интеграции с платежной системой PayAnyWay

include_once(dirname(__FILE__).'/payanyway.php');

class CPayanywaySberbank extends CPayanyway
{

	var $type = PAYMTD_TYPE_ONLINE;
	var $additionalParameters = '';
	var $isInvoice = 1;
	var $paymentModuleID = '';
	
	function _initVars()
	{
		parent::_initVars();
		$this->title 		= PAW_SBERBANK_TTL;
		$this->description 	= PAW_SBERBANK_DSCR;
		$this->sort_order 	= 10;
		$this->Settings = array(
			'CONF_PAYANYWAY_SYSTEMURL',
			'CONF_PAYANYWAY_MNTID',
			'CONF_PAYANYWAY_DATAINTEGRITYCODE',
            'CONF_PAYANYWAY_TRANS_CURRENCY',
			'CONF_PAYANYWAY_TESTMODE',
            'CONF_PAYANYWAY_ORDERSTATUS',
			'CONF_PAYANYWAY_UNIT_ID',
			'CONF_PAYANYWAY_ACCOUNT_ID'
		);
		
		$ModuleConfigs = current(modGetModuleConfigs(get_class()));
		$this->paymentModuleID = isset($ModuleConfigs['ConfigID'])?$ModuleConfigs['ConfigID']:0;
	}

	function _initSettingFields()
	{
		parent::_initSettingFields();
		$this->SettingsFields['CONF_PAYANYWAY_UNIT_ID'] = array(
			'settings_value' 		=> '510801',
			'settings_title' 		=> PAW_CFG_UNIT_ID_TTL,
			'settings_description' 	=> PAW_CFG_UNIT_ID_DSCR,
			'settings_html_function'=> 'setting_TEXT_BOX(0,',
			'sort_order' 			=> 1,
		);
		$this->SettingsFields['CONF_PAYANYWAY_ACCOUNT_ID'] = array(
			'settings_value' 		=> '160',
			'settings_title' 		=> PAW_CFG_ACCOUNT_ID_TTL,
			'settings_description' 	=> PAW_CFG_ACCOUNT_ID_DSCR,
			'settings_html_function'=> 'setting_TEXT_BOX(0,',
			'sort_order' 			=> 1,
		);
	}

}
?>